//
// Created by sebastian on 04.08.26.
//

#ifndef COLORRACE_DEBUGRENDERER_H
#define COLORRACE_DEBUGRENDERER_H
#include <memory>

#include "RenderQueue.h"
#include "entities/Camera.h"
#include "shader/BoundingDebugShader.h"


namespace engine {
    class DebugRenderer {
    public:
        DebugRenderer() : m_shader(std::make_unique<BoundingDebugShader>()) {}
        void render(RenderQueue& queue, const Camera& camera);
    private:
        std::unique_ptr<BoundingDebugShader> m_shader;
        glm::vec3 debugColor = glm::vec3(1.0f, 1.0f, 1.0f);
    };
}

#endif //COLORRACE_DEBUGRENDERER_H
